org.apache.lucene.analysis.core

## Class StopFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.core.StopFilterFactory

All Implemented Interfaces:
  ResourceLoaderAware

    public class StopFilterFactory
    extends TokenFilterFactory
    implements ResourceLoaderAware

Factory for `StopFilter`.

     <fieldType name="text_stop" class="solr.TextField" positionIncrementGap="100" autoGeneratePhraseQueries="true">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.StopFilterFactory" ignoreCase="true"
                 words="stopwords.txt" enablePositionIncrements="true"/>
       </analyzer>
     </fieldType>

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`args, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`StopFilterFactory()`

### Method Summary

Methods
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream
`CharArraySet` `getStopWords()`
`void` `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
`void` `init(Map<String,String> args)` Initialize this factory via a set of key-value pairs.
`boolean` `isEnablePositionIncrements()`
`boolean` `isIgnoreCase()`

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StopFilterFactory

    public StopFilterFactory()

### Method Detail

#### init

    public void init(Map<String,String> args)

Description copied from class: `AbstractAnalysisFactory`
Initialize this factory via a set of key-value pairs.

Overrides:
  `init` in class `AbstractAnalysisFactory`

#### inform

    public void inform(ResourceLoader loader)
                throws IOException

Description copied from interface: `ResourceLoaderAware`
Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

Specified by:
  `inform` in interface `ResourceLoaderAware`
Throws:
  `IOException`

#### isEnablePositionIncrements

    public boolean isEnablePositionIncrements()

#### isIgnoreCase

    public boolean isIgnoreCase()

#### getStopWords

    public CharArraySet getStopWords()

#### create

    public TokenStream create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`